Bug 155638 - Use Radical* constants from the OpenType MATH table
Summary: Use Radical* constants from the OpenType MATH table
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL: http://tests.mathml-association.org/m...
Keywords:
Depends on: 133567 133845 153987 158884
Blocks: displaystyle 122297 155639
  Show dependency treegraph
 
Reported: 2016-03-18 08:29 PDT by Frédéric Wang (:fredw)
Modified: 2016-07-08 12:43 PDT (History)
7 users (show)

See Also:


Attachments
Patch (30.14 KB, patch)
2016-03-18 09:06 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (32.92 KB, patch)
2016-04-26 09:03 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (32.81 KB, patch)
2016-06-25 00:39 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (to get iOS/Mac results) (52.10 KB, patch)
2016-07-08 01:19 PDT, Frédéric Wang (:fredw)
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-yosemite (1.02 MB, application/zip)
2016-07-08 02:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-yosemite-wk2 (1.13 MB, application/zip)
2016-07-08 02:09 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-yosemite (1.80 MB, application/zip)
2016-07-08 02:10 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (1.05 MB, application/zip)
2016-07-08 04:16 PDT, Build Bot
no flags Details
Patch (141.05 KB, patch)
2016-07-08 04:27 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2016-03-18 08:29:44 PDT
Once we have the displaystyle property, we can choose between RadicalDisplayStyleVerticalGap VS RadicalVerticalGap.

The other constants RadicalExtraAscender, RadicalKernAfterDegree, RadicalKernBeforeDegree, RadicalRuleThickness	are already supported.
Comment 1 Frédéric Wang (:fredw) 2016-03-18 09:06:54 PDT
Created attachment 274417 [details]
Patch
Comment 2 Frédéric Wang (:fredw) 2016-04-26 09:03:58 PDT
Created attachment 277382 [details]
Patch
Comment 3 Frédéric Wang (:fredw) 2016-06-25 00:39:47 PDT
Created attachment 282056 [details]
Patch
Comment 4 Brent Fulgham 2016-07-07 13:56:43 PDT
Comment on attachment 282056 [details]
Patch

These change seem fine, but i am sad the patch doesn't apply cleanly. r=me, but do not land until you can confirm tests still pass.
Comment 5 Frédéric Wang (:fredw) 2016-07-08 01:19:50 PDT
Created attachment 283122 [details]
Patch (to get iOS/Mac results)

OK, it seems that this will require rebaseline of the radical-fallback test that had been added since I upload the patch. New version to get iOS/Mac results.
Comment 6 Build Bot 2016-07-08 02:07:57 PDT
Comment on attachment 283122 [details]
Patch (to get iOS/Mac results)

Attachment 283122 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1645708

New failing tests:
mathml/radical-fallback.html
mathml/presentation/roots.xhtml
mathml/presentation/mo-stretch.html
Comment 7 Build Bot 2016-07-08 02:08:01 PDT
Created attachment 283127 [details]
Archive of layout-test-results from ews100 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 8 Build Bot 2016-07-08 02:09:27 PDT
Comment on attachment 283122 [details]
Patch (to get iOS/Mac results)

Attachment 283122 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/1645710

New failing tests:
mathml/radical-fallback.html
mathml/presentation/roots.xhtml
mathml/presentation/mo-stretch.html
Comment 9 Build Bot 2016-07-08 02:09:30 PDT
Created attachment 283128 [details]
Archive of layout-test-results from ews107 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 10 Build Bot 2016-07-08 02:10:32 PDT
Comment on attachment 283122 [details]
Patch (to get iOS/Mac results)

Attachment 283122 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1645689

New failing tests:
mathml/radical-fallback.html
mathml/presentation/roots.xhtml
mathml/presentation/mo-stretch.html
Comment 11 Build Bot 2016-07-08 02:10:36 PDT
Created attachment 283129 [details]
Archive of layout-test-results from ews112 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 12 Build Bot 2016-07-08 04:16:54 PDT
Comment on attachment 283122 [details]
Patch (to get iOS/Mac results)

Attachment 283122 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1646181

New failing tests:
mathml/radical-fallback.html
mathml/presentation/roots.xhtml
mathml/presentation/mo-stretch.html
Comment 13 Build Bot 2016-07-08 04:16:58 PDT
Created attachment 283135 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.5
Comment 14 Frédéric Wang (:fredw) 2016-07-08 04:27:00 PDT
Created attachment 283136 [details]
Patch

Adding new references for mac/ios
Comment 15 Frédéric Wang (:fredw) 2016-07-08 06:06:04 PDT
Committed r202977: <http://trac.webkit.org/changeset/202977>